- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::geom::CoordinateList Class Reference

`#include <CoordinateList.h>`

List of all members.

## Public Types
typedef std::list< Coordinate > ::iterator | iterator
typedef std::list< Coordinate > ::const_iterator | const_iterator
typedef std::list< Coordinate > ::size_type | size_type
## Public Member Functions
| CoordinateList (const std::vector< Coordinate > &v)
size_type | size () const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
iterator | insert (iterator pos, const Coordinate &c)
iterator | erase (iterator pos)
iterator | erase (iterator first, iterator last)
std::auto_ptr< Coordinate::Vect > | toCoordinateArray () const
## Friends
std::ostream & | operator<< (std::ostream &os, const CoordinateList &cl)

## Detailed Description

A list of Coordinates.

Use this class when fast insertions and removal at arbitrary position is needed. The class keeps ownership of the Coordinates.

The documentation for this class was generated from the following file:

- CoordinateList.h